Skip to content

Search Flights

GET
/nests/{nestId}/birds/{birdId}/flights

Search for Flights of the specified Nest. This endpoint is especially useful for applications that need to inspect Flight error messages to understand failed or cancelled Flights.

Authorizations

Parameters

Path Parameters

nestId
required
string

The ID of the Nest that contains the Bird.

birdId
required
string

The ID of the Bird whose Flights are being listed.

Query Parameters

MinStartDate
string format: date-time

Filters Flights to those with a start date on or after this timestamp.

MaxStartDate
string format: date-time

Filters Flights to those with a start date on or before this timestamp.

Status
string
Allowed values: succeeded failed cancelled active

Filters Flights by status. Active Flights are currently running. Cancelled Flights were cancelled by a user.

Responses

200

A list of Flights for the specified Bird, including error messages when available.

Array<object>
object
id
string
birdId
string
nestId
string
status
string
Allowed values: succeeded failed cancelled active
errorMessages

Error details for the Flight when available. This field is especially useful for applications that need to diagnose failed or cancelled Flights.

string
nullable
startDate
string format: date-time
duration
integer format: int32

404

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

500

Server Error